DigilockerDownload File

DigiLocker Document Download

Download a specific verified document from a user's DigiLocker account using its URI. Supports all government-issued documents.

curl -X POST "https://production.deepvue.tech/v1/kyc/digilocker/file" \
  -H "Content-Type: application/json" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "client-id: YOUR_API_KEY" \
  -d '{
  "consent": "example_string",
  "purpose": "example_string",
  "initial_deepvue_transaction_id": "example_string",
  "uri": "example_string"
}'
{
  "code": 200,
  "timestamp": null,
  "transaction_id": "string",
  "sub_code": "SUCCESS",
  "message": "Issued files fetched successfully.",
  "data": "string"
}
POST
/v1/kyc/digilocker/file
POST
API Key (header: x-api-key)
x-api-keystring
Required

The CLIENT_SECRET provided to you. This header parameter is required for authentication purposes.

The CLIENT_SECRET provided to you. This header parameter is required for authentication purposes.
API Key (header: client-id)
client-idstring
Required

The CLIENT_ID provided to you. This header parameter is required for authentication purposes.

The CLIENT_ID provided to you. This header parameter is required for authentication purposes.
Content-Typestring
Required

The media type of the request body

Options: application/json
purposestring
Required

The purpose of the file download request.

initial_deepvue_transaction_idstring
Required

The unique transaction id associated with the request.

Request Preview
Response

Response will appear here after sending the request

Authentication

header
x-api-keystring
Required

API Key for authentication. The CLIENT_SECRET provided to you. This header parameter is required for authentication purposes.

header
client-idstring
Required

API Key for authentication. The CLIENT_ID provided to you. This header parameter is required for authentication purposes.

Body

application/json
purposestring
Required

The purpose of the file download request.

initial_deepvue_transaction_idstring
Required

The unique transaction id associated with the request.

Responses

codeinteger
timestampinteger
transaction_idstring
sub_codestring
messagestring
datastring

This API enables you to download files from DigiLocker based on issued documents, using a URN (Uniform Resource Name) as the identifier. It is part of the broader DigiLocker integration workflow within the Deepvue platform.